summaryrefslogtreecommitdiffhomepage
path: root/subr/ex_pkg_dispatch.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/ex_pkg_dispatch.subr')
-rw-r--r--subr/ex_pkg_dispatch.subr6
1 files changed, 5 insertions, 1 deletions
diff --git a/subr/ex_pkg_dispatch.subr b/subr/ex_pkg_dispatch.subr
index ad41616c..7a8a95d2 100644
--- a/subr/ex_pkg_dispatch.subr
+++ b/subr/ex_pkg_dispatch.subr
@@ -1,5 +1,9 @@
#
-# set -o errexit -o noglob are assumed.
+# set -o noglob is assumed.
+# WARNING: ex_pkg_dispatch(), its caller, and its callers must _NOT_ be executed
+# as part of conditional evaluation, e.g. if, until, while, !, or && and ||, as
+# doing so would inhibit set -o errexit during execution of this function and its
+# subshell(!). Instead, call ex_pkg_dispatch() and subsequently evaluate ${?}.
#
ex_pkg_dispatch() {